import { Client, MetadataBearer } from '@aws-sdk/types';
import { AwsStub } from './awsClientStub';
/**
 * Creates and attaches a stub of the `Client#send()` method. Only this single method is mocked.
 * If method is already a stub, it's replaced.
 * @param client `Client` type or instance to replace the method
 * @return Stub allowing to configure Client's behavior
 */
export declare const mockClient: <TInput extends object, TOutput extends MetadataBearer>(client: InstanceOrClassType<Client<TInput, TOutput, any>>) => AwsStub<TInput, TOutput>;
declare type ClassType<T> = {
    prototype: T;
};
declare type InstanceOrClassType<T> = T | ClassType<T>;
export {};
